org.fourthline.cling.binding.xml

## Class UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler

- java.lang.Object
- - org.xml.sax.helpers.DefaultHandler
  - - org.seamless.xml.SAXParser.Handler<I>
    - - org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableActionArgument>
      - - org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler
  Enclosing class:
    UDA10ServiceDescriptorBinderSAXImpl

      protected static class UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler
      extends UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableActionArgument>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Descriptor.Service.ELEMENT` | `EL`

    - ### Fields inherited from class org.seamless.xml.SAXParser.Handler

      `attributes, characters, instance, parent, parser`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler(MutableActionArgument instance, UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endElement(Descriptor.Service.ELEMENT element)`
    `boolean` | `isLastElement(Descriptor.Service.ELEMENT element)`

    - ### Methods inherited from class org.fourthline.cling.binding.xml.UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler

      `endElement, isLastElement, startElement, startElement`

    - ### Methods inherited from class org.seamless.xml.SAXParser.Handler

      `characters, getAttributes, getCharacters, getInstance, getParent, getParser, switchToParent`

    - ### Methods inherited from class org.xml.sax.helpers.DefaultHandler

      `endDocument, endPrefixMapping, error, fatalError, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EL

          public static final Descriptor.Service.ELEMENT EL

  - ### Constructor Detail

    - #### UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler

          public UDA10ServiceDescriptorBinderSAXImpl.ActionArgumentHandler(MutableActionArgument instance,
                                                                   UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler parent)

  - ### Method Detail

    - #### endElement

          public void endElement(Descriptor.Service.ELEMENT element)
                          throws SAXException

      Overrides:
        `endElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableActionArgument>`
      Throws:
        `SAXException`

    - #### isLastElement

          public boolean isLastElement(Descriptor.Service.ELEMENT element)

      Overrides:
        `isLastElement` in class `UDA10ServiceDescriptorBinderSAXImpl.ServiceDescriptorHandler<MutableActionArgument>`

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.